io.vertx.rxjava.core.net

## Class SelfSignedCertificate

- java.lang.Object
- - io.vertx.rxjava.core.net.SelfSignedCertificate

-     public class SelfSignedCertificate
      extends Object

  A self-signed certificate helper for testing and development purposes.

  While it helps for testing and development, it should never ever be used in production settings.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<SelfSignedCertificate>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelfSignedCertificate(SelfSignedCertificate delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `certificatePath()` Filesystem path to the X.509 certificate file in PEM format .
    `static SelfSignedCertificate` | `create()` Create a new `SelfSignedCertificate` instance.
    `void` | `delete()` Delete the private key and certificate files.
    `SelfSignedCertificate` | `getDelegate()`
    `PemKeyCertOptions` | `keyCertOptions()` Provides the `io.vertx.rxjava.core.net.KeyCertOptions` RSA private key file in PEM format corresponding to the `privateKeyPath()`
    `static SelfSignedCertificate` | `newInstance(SelfSignedCertificate arg)`
    `String` | `privateKeyPath()` Filesystem path to the RSA private key file in PEM format
    `PemTrustOptions` | `trustOptions()` Provides the `io.vertx.rxjava.core.net.TrustOptions` X.509 certificate file in PEM format corresponding to the `certificatePath()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<SelfSignedCertificate> __TYPE_ARG

  - ### Constructor Detail

    - #### SelfSignedCertificate

          public SelfSignedCertificate(SelfSignedCertificate delegate)

  - ### Method Detail

    - #### getDelegate

          public SelfSignedCertificate getDelegate()

    - #### keyCertOptions

          public PemKeyCertOptions keyCertOptions()

      Provides the `io.vertx.rxjava.core.net.KeyCertOptions` RSA private key file in PEM format corresponding to the `privateKeyPath()`
      Returns:
        a `PemKeyCertOptions` based on the generated certificate.

    - #### trustOptions

          public PemTrustOptions trustOptions()

      Provides the `io.vertx.rxjava.core.net.TrustOptions` X.509 certificate file in PEM format corresponding to the `certificatePath()`
      Returns:
        a `PemTrustOptions` based on the generated certificate.

    - #### privateKeyPath

          public String privateKeyPath()

      Filesystem path to the RSA private key file in PEM format
      Returns:
        the absolute path to the private key.

    - #### certificatePath

          public String certificatePath()

      Filesystem path to the X.509 certificate file in PEM format .
      Returns:
        the absolute path to the certificate.

    - #### delete

          public void delete()

      Delete the private key and certificate files.

    - #### create

          public static SelfSignedCertificate create()

      Create a new `SelfSignedCertificate` instance.
      Returns:
        a new instance.

    - #### newInstance

          public static SelfSignedCertificate newInstance(SelfSignedCertificate arg)

Copyright © 2017. All rights reserved.